Summary:    A Hebrew spell checker
Name:       hspell
Version:    1.4
Release:    5%{?dist}
License:    AGPLv3
URL:        http://hspell.ivrix.org.il/
Source0:    http://hspell.ivrix.org.il/%{name}-%{version}.tar.gz

Patch0001:  0001-require-local-module-explicitly.patch

BuildRequires:  gcc make
BuildRequires:  hunspell-devel perl-generators perl-interpreter zlib-devel perl(Carp) perl(FileHandle)

%description
Hspell is a Hebrew SPELLer and morphological analyzer. It provides a mostly
spell-like interface (gives the list of wrong words in the input text), but can
also suggest corrections (-c). It also provides a true morphological analyzer
(-l), that prints all known meanings of a Hebrew string.
Hspell 1.4 still follows the old (pre June 2017) spelling standard of the
Academy of the Hebrew Language.

%description -l he
Hspell הוא מאיית ומנתח צורני עברי, המספק מנשק דמוי-spell - פולט רשימה של המילים
השגויות המופיעות בקלט. Hspell מקפיד מאוד כללי האקדמיה העברית לכתיב חסר ניקוד
("כתיב מלא").  כמו כן, Hspell מספק (-l) מנתח מורפולוגי אשר מדפיס את כל
המשמעויות האפשריות של מחרוזת אותיות עברית.
גרסה 1.4 תואמת עדיין לכללי האיות הישנים (טרם יוני 2017) של האקדמיה.

%package devel
Summary: Library and include files for Hspell, the Hebrew spell checker
Requires: %{name} = %{version}-%{release}

%description devel
Library and include files for applications that want to use Hspell.

%description -l he devel
ספרייה וקובצי כותרת עבור יישומים שרוצים להשתמש ב-Hspell.

%package -n hunspell-he
Summary: Hebrew hunspell dictionaries
Requires: hunspell

%description -n hunspell-he
Hebrew hunspell dictionaries.


%prep
%autosetup -p1
/usr/bin/iconv -f hebrew -t utf8 -o WHATSNEW WHATSNEW


%build
%configure --enable-fatverb --enable-linginfo --enable-shared
%make_build hunspell


%install
%make_install
rm -f %{buildroot}/%{_libdir}/libhspell.a
mkdir -p %{buildroot}/%{_datadir}/hunspell
cp -p he.dic %{buildroot}/%{_datadir}/hunspell/he_IL.dic
cp -p he.aff %{buildroot}/%{_datadir}/hunspell/he_IL.aff


%check
%make_build test || :


%files
%license LICENSE COPYING
%doc README WHATSNEW 
%{_bindir}/hspell
%{_bindir}/hspell-i
%{_bindir}/multispell
%{_libdir}/libhspell.so.0
%{_mandir}/man1/hspell.1*
%{_datadir}/hspell/

%files devel
%{_includedir}/*.h
%{_libdir}/libhspell.so
%{_mandir}/man3/hspell.3*

%files -n hunspell-he
%doc LICENSE
%{_datadir}/hunspell/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 Miaojun Dong <zoedong@tencent.com> - 1.4-1
- initial build
